Arbiter No Longer Compatible with Older Browsers

As of February 2, 2018, will no longer be compatible with older browsers. If you are using a current browser to connect to ArbiterSports, you should see no impact. Current versions of modern web browsers (e.g. Chrome, Firefox, Microsoft Edge, Internet Explorer 11, Safari) support TLS 1.2 and have done so for several years.